# Uses of Class
org.eclipse.jdt.core.dom.MethodDeclaration

Packages that use MethodDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of MethodDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return MethodDeclaration
Modifier and Type
Method
Description
`MethodDeclaration[]`
RecordDeclaration.`getMethods()`
Returns the ordered list of method declarations of this type declaration.
`MethodDeclaration[]`
TypeDeclaration.`getMethods()`
Returns the ordered list of method declarations of this type declaration.
`MethodDeclaration`
AST.`newMethodDeclaration()`
Creates an unparented method declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type MethodDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(MethodDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(MethodDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(MethodDeclaration node)`
Visits the given type-specific AST node.

## Uses of MethodDeclaration in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type MethodDeclaration
Modifier and Type
Method
Description
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, MethodDeclaration decl, boolean isDeprecated, String overriddenMethodName, String overriddenMethodDeclaringTypeName, String[] overriddenMethodParameterTypeNames, String lineDelimiter)`
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, MethodDeclaration decl, IMethodBinding overridden, String lineDelimiter)`
Returns the comment for a method or constructor using the comment code templates (constructor / method / overriding method).
`boolean`
ImportReferencesCollector.`visit(MethodDeclaration node)`

## Uses of MethodDeclaration in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type MethodDeclaration
Modifier and Type
Method
Description
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, MethodDeclaration decl, boolean isDeprecated, String overriddenMethodName, String overriddenMethodDeclaringTypeName, String[] overriddenMethodParameterTypeNames, String lineDelimiter)`
Deprecated.
`static String`
CodeGeneration.`getMethodComment(ICompilationUnit cu, String declaringTypeName, MethodDeclaration decl, IMethodBinding overridden, String lineDelimiter)`
Deprecated.